<template>
	<view>
		<view class="tab">
			<u-tabs :list="tab" @click="click" :lineHeight="5"></u-tabs>
		</view>
		<view class="goodsList">
			<view class="item" v-for="(item, index) in list" :key="index" @click="detail(item)">
				<view class="title">{{ item.enterpriseName }}
					<view class="state" v-if="item.peopleConfirmStatus == 0">
						<text class="icon">&#xe830;</text>
						<text>未确认</text>
					</view>
					<view class="state" v-if="item.peopleConfirmStatus == 1 && item.apply == 0">
						<text class="icon" style="color: #13ce66">&#xe830;</text>
						<text>已确认</text>
					</view>
					<view class="state" v-if="item.resaleStatus == 1">
						<text class="icon" style="color: #13ce66">&#xe830;</text>
						<text>已转售</text>
					</view>
					<view class="state" v-if="item.finishStatus == 3">
						<text class="icon" style="color: #f44336">&#xe622;</text>
						<text>已取消</text>
					</view>
				</view>

				<image src="../../../../static/news.jpg" mode="aspectFill" class="pic"></image>
				<view class="con">
					<view class="productName omit">{{ item.goodsNames }}</view>
					<view class="desc omit">
						<text>重量 {{ item.totalWeight }}</text>
						<text>{{ item.tradeAreaName }}</text>
					</view>
					<view class="price">¥ {{ item.totalPrice }}</view>
				</view>
				<view class="clear"></view>
				<view class="op">
					<view class="date">{{ item.createTime }}</view>
					<template v-if="item.peopleConfirmStatus == 0">
						<view class="an" style="color: #f44336"  @click.stop="confirmOrder(item.id)">边民确认</view>
					</template>
					<template v-if="item.peopleConfirmStatus == 1 && item.applyConfirmStatus == 0">
						<view class="an" style="color: #f44336"  @click.stop="applyOrder(item.id)">进口申报确认</view>
					</template>
					<template v-if="item.peopleConfirmStatus == 1 && item.applyConfirmStatus == 1 && item.apply == 1 && item.resaleStatus == 0">
						<view class="an" style="color: #f44336"  @click.stop="resale(item)">订单转售</view>
					</template>
					<!-- <template v-if="item.peopleConfirmStatus == 0">
						<view class="an" style="color: #f44336" v-if="user.userType == 2" @click.stop="confirm(item.id)">取消订单</view>
					</template>
					<template v-if="item.finishStatus == 3">
						<view class="an" style="color: #f44336" v-if="user.userType == 2" @click.stop="del(item.id)">删除订单</view>
					</template> -->
				</view>
			</view>
			<view class="loading" v-if="loadMore"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
			<u-empty v-if="!loadMore && list.length == 0"></u-empty>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			tab: [
				{
					name: '全部',
					peopleConfirmStatus: '',	//边民确认状态
					applyConfirmStatus: '',		//进口申报确认状态
					apply: '',					//订单申报状态
					finishStatus: '',			//订单完成状态
					resaleStatus: ''			//订单转售状态
				},
				{
					name: '边民确认',
					peopleConfirmStatus: 0,
					applyConfirmStatus: 0,
					apply: 0,
					finishStatus: 0,
					resaleStatus: 0
				},
				{
					name: '申报确认',
					peopleConfirmStatus: 1,
					applyConfirmStatus: 0,
					apply: 0,
					finishStatus: 0,
					resaleStatus: 0
				},
				{
					name: '申报中',
					peopleConfirmStatus: 1,
					applyConfirmStatus: 1,
					apply: 0,
					finishStatus: 0,
					resaleStatus: 0
				},
				{
					name: '已完成',
					peopleConfirmStatus: 1,
					applyConfirmStatus: 1,
					apply: 1,
					finishStatus: 1,
					resaleStatus: 0
				},
				{
					name: '已转售',
					peopleConfirmStatus: 1,
					applyConfirmStatus: 1,
					apply: 1,
					finishStatus: 1,
					resaleStatus: 1
				}/* ,
				{
					name: '已取消',
					peopleConfirmStatus: '',
					apply: '',
					finishStatus: 3,
					resaleStatus: ''
				} */
			],
			param: {
				pageNo: 1,
				pageSize: 10
			},
			user:this.getUser(),
			list: [],
			loadMore: true,
			confirmType: 1,//边民确认类型[1=刷脸,2=指纹]
			id: '',
			flag: '',
		};
	},
	onLoad() {
		this.getData();
		uni.$on('face', res => {
			if(this.flag == 1) {
				this.http.request({
					url: '/level-one-server/app/TbOrder/confirmOrder',
					data: { orderId: this.id , confirmType: this.confirmType},
					success: resp => {
						uni.showToast({ title: '订单确认成功' });
						this.refresh();
					}
				});
			} else if(this.flag == 2) {
				this.http.request({
					url: '/level-one-server/app/TbOrder/applyOrder',
					data: { orderId: this.id },
					success: resp => {
						uni.showToast({ title: '进口申报确认成功' });
						this.refresh();
					}
				});
			}
		})
	},
	methods: {
		getData() {
			this.http.request({
				url: '/level-one-server/app/TbOrder/getList',
				loading: 'false',
				data: this.param,
				success: res => {
					this.loadMore = parseInt(res.data.pageCount) > this.param.pageNo;
					if (res.data.data) {
						this.list.push(...res.data.data);
					}
					/* this.list.map(item => {
						if (item.cancelPeople == 1) {
							item.enterpriseConfirm = 3;
						}
					}); */
				}
			});
		},
		// 点击tab切换
		click(e) {
			console.log(e);
			this.param.peopleConfirmStatus = e.peopleConfirmStatus;
			this.param.applyConfirmStatus = e.applyConfirmStatus;
			this.param.apply = e.apply;
			this.param.finishStatus = e.finishStatus;
			this.param.resaleStatus = e.resaleStatus;
			this.refresh();
		},
		detail(item) {
			uni.navigateTo({url: '/pages/market/one/leader/detail?id=' + item.id});
		},
		resale(item) {
			uni.navigateTo({url: '/pages/market/two/leader/resale?item=' + JSON.stringify(item)});
		},
		// 刷新数据
		refresh() {
			this.loadMore = true;
			this.param.pageNo = 1;
			this.list = [];
			this.getData();
		},
		//边民确认订单
		confirmOrder(id) {
			this.id = id;
			this.flag = 1;
			uni.navigateTo({url: '/pages/authentication/face'});
		},
		//边民进口申报确认
		applyOrder(id) {
			this.id = id;
			this.flag = 2;
			uni.navigateTo({url: '/pages/authentication/face'});
		},
		// 取消订单
		confirm(id) {
			uni.showModal({
				title: '提示',
				content: '是否确认取消订单？',
				success: res => {
					if (res.confirm) {
						this.http.request({
							url: '/level-one-server/app/TbOrder/cancelOrder',
							data: { orderId: id },
							success: resp => {
								uni.showToast({ title: '操作成功' });
								this.refresh();
							}
						});
					}
				}
			});
		},
		// 删除订单
		del(id) {
			uni.showModal({
				title: '提示',
				content: '确认删除该订单？',
				success: res => {
					if (res.confirm) {
						this.http.request({
							url: '/level-one-server/app/TbOrder/delete',
							data: { id: id },
							success: resp => {
								uni.showToast({ title: '操作成功' });
								this.refresh();
							}
						});
					}
				}
			});
		}
	},
	//下拉刷新
	onPullDownRefresh() {
		setTimeout(() => {
			this.refresh();
			uni.stopPullDownRefresh();
		}, 1000);
	},
	//上拉加载
	onReachBottom() {
		if (this.loadMore) {
			this.param.pageNo++;
			this.getData();
		}
	}
};
</script>

<style lang="scss">
page {
	background-color: $pg;
}
.state{
	margin-right: -70px;
}
</style>
